package mono-apache-server2 2.4.2-1 failed to install/upgrade: apache2 failed to restart - postinst script killed by CTRL+C

Bug #460802 reported by Chris Morgan on 2009-10-26
136
This bug affects 35 people
Affects Status Importance Assigned to Milestone
xsp (Ubuntu)
Undecided
Unassigned

Bug Description

Ran apt-get install libapache2-mod-mono, apache didn't restart after a minute or two, hit ctrl-c and then errors were reported about how mono-apache-server2 was required. Console output below:

cmorgan@cmorgan-laptop:/etc/modprobe.d$ sudo apt-get install libapache2-mod-mono
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  mono-apache-server mono-apache-server2 mono-xsp2-base
The following NEW packages will be installed:
  libapache2-mod-mono mono-apache-server mono-apache-server2 mono-xsp2-base
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 228kB of archives.
After this operation, 717kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://us.archive.ubuntu.com karmic/universe mono-xsp2-base 2.4.2-1 [67.8kB]
Get:2 http://us.archive.ubuntu.com karmic/universe mono-apache-server2 2.4.2-1 [74.1kB]
Get:3 http://us.archive.ubuntu.com karmic/universe mono-apache-server 2.4.2-1 [38.9kB]
Get:4 http://us.archive.ubuntu.com karmic/universe libapache2-mod-mono 2.4.2-1 [46.9kB]
Fetched 228kB in 1s (176kB/s)
Preconfiguring packages ...
Either mono-apache-server1 or mono-apache-server2 needs
to be installed.
libapache2-mod-mono failed to preconfigure, with exit status 1
Selecting previously deselected package mono-xsp2-base.
(Reading database ... 126443 files and directories currently installed.)
Unpacking mono-xsp2-base (from .../mono-xsp2-base_2.4.2-1_all.deb) ...
Selecting previously deselected package mono-apache-server2.
Unpacking mono-apache-server2 (from .../mono-apache-server2_2.4.2-1_all.deb) ...
Selecting previously deselected package mono-apache-server.
Unpacking mono-apache-server (from .../mono-apache-server_2.4.2-1_all.deb) ...
Selecting previously deselected package libapache2-mod-mono.
Unpacking libapache2-mod-mono (from .../libapache2-mod-mono_2.4.2-1_amd64.deb) ...
Processing triggers for man-db ...
Setting up mono-xsp2-base (2.4.2-1) ...
Setting up mono-apache-server2 (2.4.2-1) ...
 * Reloading web server config apache2 apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
                                                                                                                                   [ OK ]
 * Restarting web server apache2 apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
 ... waiting apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
                                                                                                                                   [ OK ]

^Cdpkg: error processing mono-apache-server2 (--configure):
 subprocess installed post-installation script killed by signal (Interrupt)
dpkg: dependency problems prevent configuration of mono-apache-server:
 mono-apache-server depends on mono-apache-server2 (= 2.4.2-1); however:
  Package mono-apache-server2 is not configured yet.
dpkg: error processing mono-apache-server (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libapache2-mod-mono:
 libapache2-mod-mono depends on mono-apache-server (>= 2.4.2) | mono-apache-server2 (>= 2.4.2) | mono-apache-server1 (>= 2.4.2); however:
  Package mono-apache-server is not configured yet.
  Package mono-apache-server2 is not configured yet.
  Package mono-apache-server1 is not installed.
 libapache2-mod-mono depends on mono-apache-server (<< 2.4.3) | mono-apache-server2 (<< 2.4.3) | mono-apache-server1 (<< 2.4.3); however:
  Package mono-apache-server is not configured yet.
  Package mono-apache-sNo apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                                                 No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                 erver2 is not configured yet.
  Package mono-apache-server1 is not installed.
dpkg: error processing libapache2-mod-mono (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 mono-apache-server2
 mono-apache-server
 libapache2-mod-mono
E: Sub-process /usr/bin/dpkg returned an error code (1)
cmorgan@cmorgan-laptop:/etc/modprobe.d$ sudo apt-get install libapache2-mod-mono
Reading package lists... Done
Building dependency tree
Reading state information... Done
libapache2-mod-mono is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up mono-apache-server2 (2.4.2-1) ...

Setting up mono-apache-server (2.4.2-1) ...
Setting up libapache2-mod-mono (2.4.2-1) ...

Configuration file `/etc/apache2/mods-available/mod_mono.conf'
 ==> File on system created by you or by a script.
 ==> File also in package provided by package maintainer.
   What would you like to do about it ? Your options are:
    Y or I : install the package maintainer's version
    N or O : keep your currently-installed version
      D : show the differences between the versions
      Z : background this process to examine the situation
 The default action is to keep your current version.
*** mod_mono.conf (Y/I/N/O/D/Z) [default=N] ? y
Installing new version of config file /etc/apache2/mods-available/mod_mono.conf ...
Using mono-apache-server2...
Enabling module mod_mono.
Run '/etc/init.d/apache2 restart' to activate new configuration!

cmorgan@cmorgan-laptop:/etc/modprobe.d$ sudo /etc/init.d/apache2 restart
 * Restarting web server apache2 apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
 ... waiting apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
                                                                                                                                   [ OK ]
cmorgan@cmorgan-laptop:/etc/modprobe.d$

ProblemType: Package
Architecture: amd64
Date: Sun Oct 25 21:50:34 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: subprocess installed post-installation script killed by signal (Interrupt)
NonfreeKernelModules: wl nvidia
Package: mono-apache-server2 2.4.2-1
PackageArchitecture: all
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: xsp
Title: package mono-apache-server2 2.4.2-1 failed to install/upgrade: subprocess installed post-installation script killed by signal (Interrupt)
Uname: Linux 2.6.31-14-generic x86_64

Chris Morgan (chmorgan) wrote :
summary: - package mono-apache-server2 2.4.2-1 failed to install/upgrade:
- subprocess installed post-installation script killed by signal
- (Interrupt)
+ package mono-apache-server2 2.4.2-1 failed to install/upgrade: apache2
+ failed to restart - postinst script killed by CTRL+C
Changed in xsp (Ubuntu):
status: New → Confirmed
Mentat (jugglingmike) wrote :

This doesn't solve the bug but as a work around you can open a terminal window and restart apache as root:

/etc/init.d/apache restart

then everything will continue installing successfully.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers